<?php 
    if (!isset($_POST["megadott-szo"])) {
        include "szomegadas.php";
    }

    else if (isset($_POST["megadott-szo"]) && strpos(haystack: $_POST["megadott-szo"], needle: ' ')) {
        include "szomegadas.php";
        echo "Helytelen szószerkezet!";
    }

    else {
        include "szokitalalas.php";
    }
?>